=== debian/changelog ===
ros-foxy-rcpputils (1.3.2-1focal) focal; urgency=high

  * Add stream operator for paths to make it easier to log (#120 <https://github.com/ros2/rcpputils/issues/120>) (#121 <https://github.com/ros2/rcpputils/issues/121>)
  * Removed Github Actions (#105 <https://github.com/ros2/rcpputils/issues/105>) (#106 <https://github.com/ros2/rcpputils/issues/106>)
  * Updating quality declaration links (ros2/docs.ros2.org#52 <https://github.com/ros2/docs.ros2.org/issues/52>) (#131 <https://github.com/ros2/rcpputils/issues/131>)
  * Update to quality level 1 (#115 <https://github.com/ros2/rcpputils/issues/115>)
  * Update maintainer list for Foxy (#109 <https://github.com/ros2/rcpputils/issues/109>)
  * Contributors: Alejandro Hernández Cordero, Emerson Knapp, Michael Jeronimo, Stephen Brawner, shonigmann

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 31 Aug 2021 07:00:00 -0000

ros-foxy-rcpputils (1.3.1-1focal) focal; urgency=high

  * Add scope_exit helper. (#78 <https://github.com/ros2/rcpputils//issues/78>) (#103 <https://github.com/ros2/rcpputils//issues/103>)
  * Contributors: Alejandro Hernández Cordero, Michel Hidalgo

 -- Emerson Knapp <eknapp@amazon.com>  Fri, 09 Oct 2020 07:00:00 -0000

ros-foxy-rcpputils (1.3.0-1focal) focal; urgency=high

  * Removed doxygen warnings (#86 <https://github.com/ros2/rcpputils/issues/86>) (#90 <https://github.com/ros2/rcpputils/issues/90>)
  * Add clamp header (#85 <https://github.com/ros2/rcpputils/issues/85>) (#88 <https://github.com/ros2/rcpputils/issues/88>)
  * Add remove_all to remove non-empty directories… (#80 <https://github.com/ros2/rcpputils/issues/80>)
  * Contributors: Alejandro Hernández Cordero, Hunter L. Allen, Karsten Knese, Victor Lopez

 -- Emerson Knapp <eknapp@amazon.com>  Tue, 21 Jul 2020 07:00:00 -0000

ros-foxy-rcpputils (1.1.0-1focal) focal; urgency=high

  * Fix parent_path() for empty paths and paths of length one (#73 <https://github.com/ros2/rcpputils/issues/73>)
  * Add get_executable_name() function (#70 <https://github.com/ros2/rcpputils/issues/70>)
  * Address memory leak in remove pointer test (#72 <https://github.com/ros2/rcpputils/issues/72>)
  * Add current_path to filesystem_helpers (#63 <https://github.com/ros2/rcpputils/issues/63>)
  * Align path combine behavior with C++17 (#68 <https://github.com/ros2/rcpputils/issues/68>)
  * Update quality declaration to QL 2 (#71 <https://github.com/ros2/rcpputils/issues/71>)
  * Contributors: Jacob Perron, Scott K Logan, Stephen Brawner

 -- Emerson Knapp <eknapp@amazon.com>  Mon, 22 Jun 2020 07:00:00 -0000

ros-foxy-rcpputils (1.0.1-1focal) focal; urgency=high

  * Include stdexcept in get_env.hpp (#69 <https://github.com/ros2/rcpputils/issues/69>)
  * Update quality declaration for version stability (#66 <https://github.com/ros2/rcpputils/issues/66>)
  * Handle empty paths in is_absolute (#67 <https://github.com/ros2/rcpputils/issues/67>)
  * Add Security Vulnerability Policy pointing to REP-2006 (#65 <https://github.com/ros2/rcpputils/issues/65>)
  * Contributors: Chris Lalancette, Scott K Logan, Steven! Ragnarök

 -- Emerson Knapp <eknapp@amazon.com>  Wed, 03 Jun 2020 07:00:00 -0000

ros-foxy-rcpputils (1.0.0-1focal) focal; urgency=high

  * Remove mention of random file from temporary_directory_path doc (#64 <https://github.com/ros2/rcpputils/issues/64>)
  * Contributors: Scott K Logan

 -- Emerson Knapp <eknapp@amazon.com>  Tue, 26 May 2020 07:00:00 -0000

ros-foxy-rcpputils (0.3.1-1focal) focal; urgency=high

  * Fix Action CI by using released upload-artifact instead of master (#61 <https://github.com/ros2/rcpputils/issues/61>)
  * Quality declaration (#47 <https://github.com/ros2/rcpputils/issues/47>)
  * Contributors: Emerson Knapp, brawner

 -- Emerson Knapp <eknapp@amazon.com>  Fri, 08 May 2020 07:00:00 -0000

ros-foxy-rcpputils (0.3.0-1focal) focal; urgency=high

  * Added shared library to feature list (#58 <https://github.com/ros2/rcpputils/issues/58>)
  * export targets in a addition to include directories / libraries (#57 <https://github.com/ros2/rcpputils/issues/57>)
  * remove pointer for smart pointer (#56 <https://github.com/ros2/rcpputils/issues/56>)
  * Added shared library class description to readme (#53 <https://github.com/ros2/rcpputils/issues/53>)
  * Increased shared library tests (#51 <https://github.com/ros2/rcpputils/issues/51>)
  * Removed duplicated split function (#54 <https://github.com/ros2/rcpputils/issues/54>)
  * Exposed get_env_var (#55 <https://github.com/ros2/rcpputils/issues/55>)
  * Added debug version for library names (#52 <https://github.com/ros2/rcpputils/issues/52>)
  * Added unload_library method to shared_library (#50 <https://github.com/ros2/rcpputils/issues/50>)
  * Included abstraction for rcutils::shared_library (#49 <https://github.com/ros2/rcpputils/issues/49>)
  * Add more documentation and include doxyfile (#46 <https://github.com/ros2/rcpputils/issues/46>)
  * Update README.md with license and build badges. (#45 <https://github.com/ros2/rcpputils/issues/45>)
  * Update README to mention assertion helper functions (#43 <https://github.com/ros2/rcpputils/issues/43>)
  * Add rcpputils::fs::file_size and rcpputils::fs::is_directory (#41 <https://github.com/ros2/rcpputils/issues/41>)
  * Make assert functions accept an optional string. (#42 <https://github.com/ros2/rcpputils/issues/42>)
  * Add functions for C++ assertions (#31 <https://github.com/ros2/rcpputils/issues/31>)
  * remove reference for pointer traits (#38 <https://github.com/ros2/rcpputils/issues/38>)
  * code style only: wrap after open parenthesis if not in one line (#36 <https://github.com/ros2/rcpputils/issues/36>)
  * Bug fixes for rcpputils::fs API (#35 <https://github.com/ros2/rcpputils/issues/35>)
    * Ensure rcpputils::fs::create_directories works with absolute paths.
    * Implement temp_directory_path() for testing purposes.
    * Fix rcpputils::fs::path::parent_path() method.

