=== debian/control ===
Source: ros-foxy-rcpputils
Section: misc
Priority: optional
Maintainer: Chris Lalancette <clalancette@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-foxy-ament-cmake, ros-foxy-ament-cmake-gtest, ros-foxy-ament-cmake-ros, ros-foxy-ament-lint-auto, ros-foxy-ament-lint-common, ros-foxy-rcutils, ros-foxy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-rcpputils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-rcutils, ros-foxy-ros-workspace
Description: Package containing utility code for C++.
